Loading...
Searching...
No Matches
gsup_sms.h File Reference
Generic Subscriber Update Protocol

SMS (Short Message Service) extensions for Osmocom GSUP. More...

`#include <stdint.h>`

Go to the source code of this file.

## Enumerations

enum | osmo_gsup_sms_sm_rp_oda_t { OSMO_GSUP_SMS_SM_RP_ODA_NONE = 0x00 , OSMO_GSUP_SMS_SM_RP_ODA_IMSI = 0x01 , OSMO_GSUP_SMS_SM_RP_ODA_MSISDN = 0x02 , OSMO_GSUP_SMS_SM_RP_ODA_SMSC_ADDR = 0x03 , OSMO_GSUP_SMS_SM_RP_ODA_NULL = 0xff }
| Possible identity types for SM-RP-{OA|DA}. More...
enum | osmo_gsup_sms_sm_alert_rsn_t { OSMO_GSUP_SMS_SM_ALERT_RSN_NONE = 0x00 , OSMO_GSUP_SMS_SM_ALERT_RSN_MS_PRESENT = 0x01 , OSMO_GSUP_SMS_SM_ALERT_RSN_MEM_AVAIL = 0x02 }
| Alert reason values, see 7.6.8.8. More...

## Functions

int | osmo_gsup_sms_encode_sm_rp_da (struct msgb *msg, const struct osmo_gsup_message *gsup_msg)
| Encode SM-RP-DA IE (see 7.6.8.1), Destination Address.
int | osmo_gsup_sms_decode_sm_rp_da (struct osmo_gsup_message *gsup_msg, uint8_t *data, size_t data_len)
| Decode SM-RP-DA IE (see 7.6.8.1), Destination Address.
int | osmo_gsup_sms_encode_sm_rp_oa (struct msgb *msg, const struct osmo_gsup_message *gsup_msg)
| Encode SM-RP-OA IE (see 7.6.8.2), Originating Address.
int | osmo_gsup_sms_decode_sm_rp_oa (struct osmo_gsup_message *gsup_msg, uint8_t *data, size_t data_len)
| Decode SM-RP-OA IE (see 7.6.8.2), Originating Address.

## Detailed Description

SMS (Short Message Service) extensions for Osmocom GSUP.